Bug 235338 - devel/py-pluggy: Update to 0.7.1
Summary: devel/py-pluggy: Update to 0.7.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Craig Leres
URL: https://github.com/pytest-dev/pluggy/...
Keywords: easy
Depends on:
Blocks: 235339
  Show dependency treegraph
 
Reported: 2019-01-31 01:15 UTC by John W. O'Brien
Modified: 2019-03-10 17:05 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (koobs)


Attachments
devel/py-pluggy: Update to 0.7.1 (1.08 KB, text/plain)
2019-01-31 01:15 UTC, John W. O'Brien
koobs: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John W. O'Brien 2019-01-31 01:15:09 UTC
Created attachment 201545 [details]
devel/py-pluggy: Update to 0.7.1

Changelog
=========

*   Update devel/py-pluggy to 0.7.1


QA
==

portlint: OK
poudriere: OK -- testport on 11.2-RELEASE amd64 w/py27, py35, py36 (default), py37


Notes
=====

I am aware that the latest version of pluggy is 0.8.1. Unfortunately, pytest 3.6.4 requires pluggy <0.8. Furthermore, pytest 4.1.1 requires pluggy >=0.7. Therefore, the plan is to apply this update, then pytest, then come back and update pluggy to the latest.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-03-06 11:15:04 UTC
I may not be able to look at this until this weekend at the earliest. Open to take

Thank you for the additional detail on the dependency complexities John, that will help QA.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-03-06 11:15:49 UTC
Comment on attachment 201545 [details]
devel/py-pluggy: Update to 0.7.1

Approved by: koobs (maintainer) 

with QA confirmation
Comment 3 commit-hook freebsd_committer 2019-03-10 17:03:45 UTC
A commit references this bug:

Author: leres
Date: Sun Mar 10 17:03:38 UTC 2019
New revision: 495301
URL: https://svnweb.freebsd.org/changeset/ports/495301

Log:
  Update to 0.7.1

  PR:		235338
  Submitted by:	John W. O'Brien
  Approved by:	koobs (maintainer), ler (mentor, implicit)

Changes:
  head/devel/py-pluggy/Makefile
  head/devel/py-pluggy/distinfo
Comment 4 Craig Leres freebsd_committer 2019-03-10 17:05:35 UTC
Thanks for the patch!